Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Class FileEventGenChannelConfiguration

    java.lang.Object
      com.bea.wli.management.configuration.FileEventGenChannelConfiguration

All Implemented Interfaces:
  Serializable

    public class FileEventGenChannelConfiguration

extends Object
implements Serializable

Represents a channel rule for a File Event Generator.

Rule Fields:

- directory - directory to scan
- scanSubdirs - scan subdirs or not
- filePattern - pattern of file to match

  Other fields:

  - channel - channel to send to if rules match
  - comment - comment for this channel rule
  - isXml - is the document XML or not (true, false)
  - pollingInterval - how often to poll directory, in seconds
  - sortByArrival - many files could have been written into the directory since the last polling sweep. If set to true then it means sort the files by arrival time – this maintains sequence (true, false)

  See Also:
    `FileEventGenConfigurationMBean`, Serialized Form

  Field Summary
  `static String` | `_CHANNELTYPE_RAWDATA`
  `static String` | `_CHANNELTYPE_STRING`
  `static String` | `_CHANNELTYPE_XML`
  `static String` | `_DEFAULT_CHANNELTYPE`
  `static String` | `_DEFAULT_FILE_MASK`
  `static int` | `_DEFAULT_POLLING_INTERVAL`
  `static String` | `_POSTREAD_ARCHIVE`
  `static String` | `_POSTREAD_DELETE`

  Constructor Summary
  `FileEventGenChannelConfiguration()`

  Method Summary
  `String` | `getArchiveDirectory()` Get the archive-directory attribute
  `String` | `getChannel()` Get the name of the channel
  `String` | `getChannelType()` Get the is-xml attribute
  `String` | `getComment()` Get the comment attribute
  `String` | `getEncoding()` Get the encoding attribute
  `String` | `getErrorDirectory()` Get the error-directory attribute
  `String` | `getFileDirectory()` Get the fileDirectory Attribute
  `String` | `getFilePattern()` Get the file-pattern attribute
  `String` | `getFtpHostName()` Get the ftp-host-name attribute
  `String` | `getFtpLocalDirectory()` Get the ftp-local-directory attribute
  `String` | `getFtpPassword()` Get the ftp-user-password attribute
  `String` | `getFtpPasswordAlias()` Get the ftp-user-password-alias attribute
  `String` | `getFtpUserName()` Get the ftp-user-name attribute
  `boolean` | `getPassByFileName()` Get the pass-by-filename attribute
  `int` | `getPollingInterval()` Get the polling-interval attribute
  `String` | `getPostRead()` Get the post-read attribute
  `String` | `getPublishAsUser()` Get the publishAsUser attribute
  `int` | `getReadLimit()` Get the read-limit attribute
  `boolean` | `getScanSubdirs()` Get the scan-subdirectories attribute
  `boolean` | `getSortByArrival()` Get the sort-by-arrival attribute
  `void` | `setArchiveDirectory(String archiveDirectory)` Set the archiveDirectory attribute
  `void` | `setChannel(String channel)` Set the channel attribute
  `void` | `setChannelType(String channelType)` Set the isXML attribute
  `void` | `setComment(String comment)` Set the comment attribute
  `void` | `setEncoding(String encoding)` Set the encoding attribute
  `void` | `setErrorDirectory(String errorDirectory)` Set the errorDirectory attribute
  `void` | `setFileDirectory(String fileDirectory)` Set the fileDirectory attribute
  `void` | `setFilePattern(String filePattern)` Set the filePattern attribute
  `void` | `setFtpHostName(String ftpHostName)` Set the ftp-host-name attribute
  `void` | `setFtpLocalDirectory(String ftpLocalDirectory)` Set the ftp-local-directory attribute
  `void` | `setFtpPassword(String ftpPassword)`
  `void` | `setFtpPasswordAlias(String ftpPasswordAlias)`
  `void` | `setFtpUserName(String ftpUserName)` Set the ftp-user-name attribute
  `void` | `setPassByFileName(boolean passByFileName)` Set the passByFileName attribute
  `void` | `setPollingInterval(int pollingInterval)` Set the pollingInterval attribute
  `void` | `setPostRead(String postRead)` Set the postRead attribute
  `void` | `setPublishAsUser(String publishAsUser)` Set the publishAsUser attribute
  `void` | `setReadLimit(int readLimit)` Set the readLimit attribute
  `void` | `setScanSubdirs(boolean scanSubdirs)` Set the setScanSubdirs attribute
  `void` | `setSortByArrival(boolean sortByArrival)` Set the sortByArrival attribute
  `String` | `toString()` Returns a string representation of this channel

  Methods inherited from class java.lang.Object
  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Field Detail

  ### _POSTREAD_ARCHIVE

      public static final String _POSTREAD_ARCHIVE

  See Also:
    Constant Field Values

  ### _POSTREAD_DELETE

      public static final String _POSTREAD_DELETE

  See Also:
    Constant Field Values

  ### _CHANNELTYPE_XML

      public static final String _CHANNELTYPE_XML

  See Also:
    Constant Field Values

  ### _CHANNELTYPE_STRING

      public static final String _CHANNELTYPE_STRING

  See Also:
    Constant Field Values

  ### _CHANNELTYPE_RAWDATA

      public static final String _CHANNELTYPE_RAWDATA

  See Also:
    Constant Field Values

  ### _DEFAULT_FILE_MASK

      public static final String _DEFAULT_FILE_MASK

  See Also:
    Constant Field Values

  ### _DEFAULT_POLLING_INTERVAL

      public static final int _DEFAULT_POLLING_INTERVAL

  See Also:
    Constant Field Values

  ### _DEFAULT_CHANNELTYPE

      public static final String _DEFAULT_CHANNELTYPE

  See Also:
    Constant Field Values

  Constructor Detail

  ### FileEventGenChannelConfiguration

      public FileEventGenChannelConfiguration()

  Method Detail

  ### toString

      public String toString()

    Returns a string representation of this channel

    Overrides:
      `toString` in class `Object`

  ### getChannel

      public String getChannel()

    Get the name of the channel

    Returns:
      name of channel

  ### getFileDirectory

      public String getFileDirectory()

    Get the fileDirectory Attribute

    Returns:
      fileDirectory attribute

  ### getScanSubdirs

      public boolean getScanSubdirs()

    Get the scan-subdirectories attribute

    Returns:
      scan-subdirectories attribute

  ### getFilePattern

      public String getFilePattern()

    Get the file-pattern attribute

    Returns:
      file-pattern attribute

  ### getChannelType

      public String getChannelType()

    Get the is-xml attribute

    Returns:
      is-xml attribute

  ### getPollingInterval

      public int getPollingInterval()

    Get the polling-interval attribute

    Returns:
      polling-interval attribute

  ### getSortByArrival

      public boolean getSortByArrival()

    Get the sort-by-arrival attribute

    Returns:
      sort-by-arrival attribute

  ### getPassByFileName

      public boolean getPassByFileName()

    Get the pass-by-filename attribute

    Returns:
      pass-by-filename attribute

  ### getReadLimit

      public int getReadLimit()

    Get the read-limit attribute

    Returns:
      read-limit attribute

  ### getErrorDirectory

      public String getErrorDirectory()

    Get the error-directory attribute

    Returns:
      error-directory attribute

  ### getArchiveDirectory

      public String getArchiveDirectory()

    Get the archive-directory attribute

    Returns:
      archive-directory attribute

  ### getPostRead

      public String getPostRead()

    Get the post-read attribute

    Returns:
      post-read attribute

  ### getComment

      public String getComment()

    Get the comment attribute

    Returns:
      comment attribute

  ### getFtpHostName

      public String getFtpHostName()

    Get the ftp-host-name attribute

    Returns:
      ftp-host-name attribute

  ### getFtpUserName

      public String getFtpUserName()

    Get the ftp-user-name attribute

    Returns:
      ftp-user-name attribute

  ### getFtpPassword

      public String getFtpPassword()

    Get the ftp-user-password attribute

    Returns:
      ftp-user-password attribute

  ### getFtpPasswordAlias

      public String getFtpPasswordAlias()

    Get the ftp-user-password-alias attribute

    Returns:
      ftp-user-password-alias attribute

  ### getFtpLocalDirectory

      public String getFtpLocalDirectory()

    Get the ftp-local-directory attribute

    Returns:
      ftp-local-directory attribute

  ### getEncoding

      public String getEncoding()

    Get the encoding attribute

    Returns:
      endcoding attribute

  ### getPublishAsUser

      public String getPublishAsUser()

    Get the publishAsUser attribute

    Returns:
      publishAsUser attribute

  ### setChannel

      public void setChannel(String channel)

    Set the channel attribute

    Parameters:
      `channel` - the channel for the event generator

  ### setFileDirectory

      public void setFileDirectory(String fileDirectory)

    Set the fileDirectory attribute

    Parameters:
      `fileDirectory` - the directory to be processed by the event generator

  ### setScanSubdirs

      public void setScanSubdirs(boolean scanSubdirs)

    Set the setScanSubdirs attribute

    Parameters:
      `scanSubdirs` - indicates whether to scan subdirectories or not.

  ### setFilePattern

      public void setFilePattern(String filePattern)

    Set the filePattern attribute

    Parameters:
      `filePattern` - the file pattern to be used to select files.

  ### setChannelType

      public void setChannelType(String channelType)

    Set the isXML attribute

    Parameters:
      `isXML` - indicates whether the file type is XML or not.

  ### setPollingInterval

      public void setPollingInterval(int pollingInterval)

    Set the pollingInterval attribute

    Parameters:
      `pollingInterval` - indicates how often the directory to be scanned (in seconds).

  ### setSortByArrival

      public void setSortByArrival(boolean sortByArrival)

    Set the sortByArrival attribute

    Parameters:
      `sortByArrival` - indicates whether to process files in the arrival time order.

  ### setPassByFileName

      public void setPassByFileName(boolean passByFileName)

    Set the passByFileName attribute

    Parameters:
      `passByFileName` - indicates whether to publish the file name as opposed to the file content.

  ### setReadLimit

      public void setReadLimit(int readLimit)

    Set the readLimit attribute

    Parameters:
      `readLimit` - indicates the number of files to be processed per scan.

  ### setErrorDirectory

      public void setErrorDirectory(String errorDirectory)

    Set the errorDirectory attribute

    Parameters:
      `errorDirectory` - specified the directory to be used for files in error.

  ### setArchiveDirectory

      public void setArchiveDirectory(String archiveDirectory)

    Set the archiveDirectory attribute

    Parameters:
      `archiveDirectory` - specified the directory to be used for archiving files.

  ### setPostRead

      public void setPostRead(String postRead)

    Set the postRead attribute

    Parameters:
      `postRead` - specifies whether to delete or archive files after they are processed.

  ### setComment

      public void setComment(String comment)

    Set the comment attribute

    Parameters:
      `comment` - is a user comment.

  ### setFtpHostName

      public void setFtpHostName(String ftpHostName)

    Set the ftp-host-name attribute

    Parameters:
      `ftp-host-name` - name of the ftp host

  ### setFtpUserName

      public void setFtpUserName(String ftpUserName)

    Set the ftp-user-name attribute

    Parameters:
      `ftp-user-name` - name of the ftp user

  ### setFtpPassword

      public void setFtpPassword(String ftpPassword)

  ### setFtpPasswordAlias

      public void setFtpPasswordAlias(String ftpPasswordAlias)

  ### setFtpLocalDirectory

      public void setFtpLocalDirectory(String ftpLocalDirectory)

    Set the ftp-local-directory attribute

    Parameters:
      `ftp-local-directory` - local directory name to be used for ftp use.

  ### setEncoding

      public void setEncoding(String encoding)

    Set the encoding attribute

    Parameters:
      `endcoding` - character set encoding needed for String types.

  ### setPublishAsUser

      public void setPublishAsUser(String publishAsUser)

    Set the publishAsUser attribute

    Parameters:
      `publishAsUser` - property to set

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD